
#ifndef HIDMOUSEKEYBOARD_H
#define HIDMOUSEKEYBOARD_H

#include <HID.h>
#include <Mouse.h>
#include <Keyboard.h>

class HIDMouseKeyboard {
  public:
//    static uint8_t MouseLeft;

  public:
    HIDMouseKeyboard();
    void keyPreassed(uint8_t p_Key);
    void keyReleased();
    void mousePressed(uint8_t p_Key);
    void mouseReleased();
  protected:
    uint8_t m_LastKey = 0;
    uint8_t m_LastMouseButton = 0;
};

#endif