#include "Mouse.h"
#include "HIDMouseKeyboard.h"

//uint8_t HIDMouseKeyboard::MouseLeft = Mouse.MOUSE_LEFT;

HIDMouseKeyboard::HIDMouseKeyboard() {

}
void HIDMouseKeyboard::keyPreassed(uint8_t p_Key) {
  if (p_Key == 0) return;
  if (m_LastKey != 0) {
    keyReleased();
  }
  m_LastKey = p_Key;
  Keyboard.press(m_LastKey);
}
void HIDMouseKeyboard::keyReleased() {
  if (m_LastKey != 0) {
    Keyboard.release(m_LastKey);
    m_LastKey = 0;
  }
}

void HIDMouseKeyboard::mousePressed(uint8_t p_MouseButton) {
  if (p_MouseButton == 0) return;
  if (m_LastMouseButton != 0) {
    mouseReleased();
  }
  m_LastMouseButton = p_MouseButton;
  Mouse.press(m_LastMouseButton);
}
void HIDMouseKeyboard::mouseReleased() {
  if (m_LastMouseButton != 0) {
    Mouse.release(m_LastMouseButton);
    m_LastMouseButton = 0;
  }
}

